/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import ProductSaleMgmt.SaleToCustomer.SaleToCustomer;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class SalesRep extends RelMgmt.Party.PersonRole {
    public Vector calcSales() {
        return new Vector();
    }

    /**  */
    public Vector calcDirectCommissions() {
        return new Vector();
    }

    public Vector calcCommissions() {
        return new Vector();
    }

    public Vector forecastSales() {
        return new Vector();
    }

    public Vector forecastCommissions() {
        return new Vector();
    }

    public Vector listSales() {
        return new Vector();
    }

    public Vector listProductSaleDetails() {
        return new Vector();
    }

    public Vector listCommissionAgreements() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private SaleToCustomer lnkUnnamed;
    private int salesTerritory;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.ProductAgreement.CommissionAgreement lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ProductSaleMgmt.ProductAssessment.GeogRegionAssignment lnkUnnamed1;
}


